body {
  margin: 0;
  background: black;
  overflow: hidden;
}

#background {
  position: absolute;
  inset: 0;
  pointer-events: none;
  top: 0;
  left: 0;
  width:100%;
  height: auto;

  background-image: url("/assets/vanity/vanitybkg.jpg");
  background-size: cover;
  background-position: center;

  z-index: 0;
}

#vanityimg {
  position: absolute;
  pointer-events: none;
  width: 100%;
  height: auto;
  z-index: 10;
}

.room {
  width: 100vw;
  height: 56.25vw;
  display: flex;
  justify-content: center;
  align-items: center;
}


/* HOTSPOTS */
.hotspot {
  position: absolute;
  cursor: pointer;
  transition: transform 0.2s;
  z-index: 10;
}

.hotspot:hover {
  transform: scale(1.1);
}

#perfume {top: 35vw; left: 66%; width: 17vw}
#hairbrush {top: 38vw; left: 17%; width: 20vw}
#makeup {top: 37vw; left: 52%; width: 15vw}
#jewellery {top: 35vw; left: 35%; width: 18vw}



/*mirror*/
.mirror {
  position: absolute;
  top: 5%;
  left: 35%;
  overflow: hidden;
  z-index: 2;
  height: 36vw;
  width: 30%;
  z-index: 2;
}


.layer {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: contain;
  pointer-events: none;
  z-index: 1;
}

#layer-hair {z-index: 7;}
#layer-makeup {z-index:6;}
#layer-perfume {z-index: 5;}

/* SIDEBAR */
#sidebar {
  position: fixed;
  right: -50vw;
  top: 10vw;
  width: 20vw;
  height: 30vw;
  background: #15151c;
  border-left: 1px solid #333;
  transition: right 0.5s ease;
  padding: 10px;
  z-index: 50;
}

#sidebar.open {
  right: 5%;
}

#sidebar-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

/* thumbnails */
.thumb {
  width: 100%;
  cursor: pointer;
  border: 1px solid #333;
  opacity: 0.8;
}

.thumb:hover {
  opacity: 1;
}